baby_steps: calls your handler in baby_steps for set processing.(3)

NAME
baby_steps: calls your handler in baby_steps for set processing. -

  Functions
netsnmp_mib_handler * netsnmp_get_baby_steps_handler (u_long modes)
returns a baby_steps handler that can be injected into a given handler chain.
int netsnmp_baby_steps_helper (netsnmp_mib_handler *handler, netsnmp_handler_registration *reginfo, netsnmp_agent_request_info *reqinfo, netsnmp_request_info *requests)
void netsnmp_init_baby_steps_helper (void)
initializes the baby_steps helper which then registers a baby_steps handler as a run-time injectable handler for configuration file use.

Function Documentation

  int netsnmp_baby_steps_helper (netsnmp_mib_handler * handler, netsnmp_handler_registration * reginfo, netsnmp_agent_request_info * reqinfo, netsnmp_request_info * requests)

Definition at line 64 of file baby_steps.c.

References netsnmp_agent_request_info_s::mode, netsnmp_call_next_handler(), netsnmp_handler_registration, netsnmp_mib_handler, and netsnmp_agent_request_info_s::next_mode_ok.

  netsnmp_mib_handler* netsnmp_get_baby_steps_handler (u_long modes)

returns a baby_steps handler that can be injected into a given handler chain. Definition at line 49 of file baby_steps.c.

References netsnmp_mib_handler_s::myvoid, netsnmp_create_handler(), and netsnmp_mib_handler.

Referenced by netsnmp_init_baby_steps_helper().

  void netsnmp_init_baby_steps_helper (void)

initializes the baby_steps helper which then registers a baby_steps handler as a run-time injectable handler for configuration file use. Definition at line 199 of file baby_steps.c.

References netsnmp_get_baby_steps_handler(), and netsnmp_register_handler_by_name().